package customer

import (
	"github.com/google/wire"
	"github.guxuan/haibei/internal/mods/customer/api"
	"github.guxuan/haibei/internal/mods/customer/biz"
	"github.guxuan/haibei/internal/mods/customer/dal"
)

var Set = wire.NewSet(
	wire.Struct(new(Customer), "*"),
	wire.Struct(new(dal.Customer), "*"),
	wire.Struct(new(biz.Customer), "*"),
	wire.Struct(new(api.Customer), "*"),
	wire.Struct(new(dal.Balance), "*"),
	wire.Struct(new(biz.Balance), "*"),
	wire.Struct(new(api.Balance), "*"),
	wire.Struct(new(dal.ProductOrder), "*"),
	wire.Struct(new(biz.ProductOrder), "*"),
	wire.Struct(new(api.ProductOrder), "*"),
)
